__gnu_debug::_Safe_container< _SafeContainer, _Alloc, _SafeBase, _IsCxx11AllocatorAware >(3cxx)

NAME
__gnu_debug::_Safe_container< _SafeContainer, _Alloc, _SafeBase, _IsCxx11AllocatorAware > - Safe class dealing with some allocator dependent operations.

SYNOPSIS

#include <safe_container.h>

Inherited by __gnu_debug::basic_string< char >, __gnu_debug::basic_string< wchar_t >, __gnu_debug::basic_string< char16_t >, __gnu_debug::basic_string< char32_t >, std::__debug::forward_list< _Tp, _Alloc >, std::__debug::iterator< _Tp, _Alloc >, __gnu_debug::basic_string< _CharT, _Traits, _Allocator >, std::__debug::deque< _Tp, _Allocator >, std::__debug::forward_list< _Tp, _Alloc >, std::__debug::list< _Tp, _Allocator >, std::__debug::map< _Key, _Tp, _Compare, _Allocator >, std::__debug::multimap< _Key, _Tp, _Compare, _Allocator >, std::__debug::multiset< _Key, _Compare, _Allocator >, std::__debug::set< _Key, _Compare, _Allocator >, std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >, std::__debug::unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc >, std::__debug::unordered_multiset< _Value, _Hash, _Pred, _Alloc >, std::__debug::unordered_set< _Value, _Hash, _Pred, _Alloc >, and std::__debug::vector< _Tp, _Allocator >.

  Protected Member Functions

_Safe_container (_Safe_container &&)=default
constexpr _Safe_container (_Safe_container &&__x, const _Alloc &__a)
_Safe_container (const _Safe_container &)=default
constexpr void _M_swap (_Safe_container &__x) noexcept
constexpr _Safe_container & operator= (_Safe_container &&__x) noexcept
constexpr _Safe_container & operator= (const _Safe_container &) noexcept

Detailed Description

  template<typename _SafeContainer, typename _Alloc, template< typename > class _SafeBase, bool _IsCxx11AllocatorAware = true>
class __gnu_debug::_Safe_container< _SafeContainer, _Alloc, _SafeBase, _IsCxx11AllocatorAware >"Safe class dealing with some allocator dependent operations.

Author

Generated automatically by Doxygen for libstdc++ from the source code.